// PROJECT  :7SegmentEEPROMWrite
// PURPOSE  :Run this ONCE prior to running the second of three examples
//          : highlighting where data can be placed. In EEPROM!
// COURSE   :ICS3U
// AUTHOR   :C. D'Arcy
// DATE     :2021 04 22
// MCU      :328P
// STATUS   :Working
// REFERENCE:
#include <EEPROM.h>
// Seven Segment Lookup Table (LUT)(by default, data is placed in SRAM)
const uint8_t Xgfabedc10 [10] = {B00111111, B00001001, B01011110, B01011011, B01101001,
                                 B01110011, B01110111, B00011001, B01111111, B01111001
                                };

void setup() {
  // read the data from SRAM and copy it to EEPROM.
  for(uint8_t i = 0; i < 7; i++)
  EEPROM.write(i,Xgfabedc10 [i]);
}

void loop() {}
